#ifndef n_qtImgImageSource_H
#define n_qtImgImageSource_H

/*
 *
 * nucleo/image/source/qtImgImageSource.H --
 *
 * Copyright (C) Nicolas Roussel
 *
 * See the file LICENSE for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#include <nucleo/utils/FileUtils.H>
#include <nucleo/image/source/ImageSource.H>
#include <nucleo/core/URI.H>
#include <nucleo/image/encoding/Conversion.H>

#include <QuickTime/QuickTimeComponents.h>

#include <stdexcept>

namespace nucleo {

  class qtImgImageSource : public ImageSource {

  private:

    std::string _filename ;
    PointerDataRefRecord ptrDataRefRec ;
    GraphicsImportComponent gi ;
    Image _image ;
    Image::Encoding _encoding ;
    bool _active ;

  public:

    qtImgImageSource(Image::Encoding encoding, const URI &uri) ;
    ~qtImgImageSource(void) ;

    bool start(void) ;

    bool isActive(void) {
	 return _active ;
    }

    bool getNextImage(Image *img) ;

    bool stop(void) ;

  } ;

  // ------------------------------------------------------------------

}

#endif
